www.cendio.com
Bug 5317 - bad error message for bad permissions on public key file
: bad error message for bad permissions on public key file
Status: CLOSED FIXED
: ThinLinc
Client
: pre-1.0
: PC Unknown
: P2 Normal
: 4.10.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2014-10-17 16:38 by
Modified: 2019-05-21 15:09 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-10-17 16:38:30
SSH will complain to the log about the key being insecure and refusing to use
it. But the error the user will get is "You are not authorized to connect to
this server". We should present the actual error.
------- Comment #1 From cendio 2018-09-26 16:05:30 -------
See also bug 7207.
------- Comment #3 From cendio 2019-03-05 16:25:23 -------
See also bug 7313.
------- Comment #6 From cendio 2019-04-01 11:17:42 -------
Works fine on Linux, but not on Windows. The client gladly proceeds even with a
file that cannot be opened.
------- Comment #8 From cendio 2019-04-08 15:07:18 -------
Fixed. Tested on Windows 10 and Fedora 29.
------- Comment #13 From cendio 2019-04-08 15:54:00 -------
There were some additional errors in the committed code that has been fixed
now.
------- Comment #14 From cendio 2019-04-10 12:40:58 -------
Works well on both Linux and Windows now. Also checked release notes.
------- Comment #15 From cendio 2019-05-17 11:14:42 -------
We didn't test the most important test, that a fully working key actually works
with ThinLinc. And that is currently broken. I.e. it's completely impossible to
use public keys with ThinLinc right now.
------- Comment #17 From cendio 2019-05-17 15:58:27 -------
Fixed now.
------- Comment #18 From cendio 2019-05-21 15:09:53 -------
Much better. :)

I've tested: 

 * Successful login
 * Unreadable key
 * Missing key